## rtph264pay

rtph264pay

## Properties

gchar * | sprop-parameter-sets | Read / Write
gint | config-interval | Read / Write

## Types and Values

struct | GstRtpH264Pay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRtpH264Pay

## Description

## Synopsis

### Element Information

plugin | rtp
author | Laurent Glayal <spglegle@yahoo.fr>
class | Codec/Payloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-h264, stream-format=(string)avc, alignment=(string)au
| video/x-h264, stream-format=(string)byte-stream, alignment=(string){ nal, au }

name | src
direction | source
presence | always
details | application/x-rtp, media=(string)video, payload=(int)[ 96, 127 ], clock-rate=(int)90000, encoding-name=(string)H264

## Functions

## Types and Values

### struct GstRtpH264Pay

    struct GstRtpH264Pay;

## Property Details

### The `“sprop-parameter-sets”` property

      “sprop-parameter-sets”     gchar *

The base64 sprop-parameter-sets to set in out caps (set to NULL to extract from stream).

Owner: GstRtpH264Pay

Flags: Read / Write

Default value: NULL

### The `“config-interval”` property

      “config-interval”          gint

Send SPS and PPS Insertion Interval in seconds (sprop parameter sets will be multiplexed in the data stream when detected.) (0 = disabled, -1 = send with every IDR frame).

Owner: GstRtpH264Pay

Flags: Read / Write

Allowed values: [G_MAXULONG,3600]

Default value: 0